//
// log_test.go
// Copyright (C) 2022 tiglog <me@tiglog.com>
//
// Distributed under terms of the MIT license.
//

package logger_test

import (
	"errors"
	"testing"

	"git.hexq.cn/tiglog/golib/gtest"
	"git.hexq.cn/tiglog/golib/logger"
)

func TestLogToFile(t *testing.T) {
	// logger.SetupLog("./var/log/test.log", zerolog.DebugLevel)
	var log = logger.Get()
	gtest.NotNil(t, log)
	err := errors.New("test error")
	log.Log().Err(err).Msg("hello world")
}
